#include <iostream>
#include <vector>

#define SIZE 47

using namespace std;

int primes[] = {2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113, 127, 131, 137, 139, 149, 151, 157, 163, 167, 173, 179, 181, 191, 193, 197, 199, 211};

long long cal(int n){
    long long arr2[SIZE];
    for (int i = 0; i < SIZE; i++)
        arr2[i] = 0;
    arr2[0] = 1;
    int i = 0;
    for (; i < SIZE && primes[i]<=n; i++)
    {
        int j = 1;
        while (i-j >= 0 && primes[i-j] >= primes[i]-14)
            arr2[i] += arr2[i-j++];
    }
    return arr2[i-1];
}

int main(int argc, char const *argv[])
{
    int n;
    cin >> n;
    cout << cal(n) << endl;
    return 0;
}
