#include <iostream>
#include <vector>

using namespace std;


int * arr;

struct Node
{
    size_t index = 0;
    vector<int> children;
    void inc(){
        ++index;
        if(index>=children.size())
            index =0;
    }
};

Node * nodes;

void throwBread(int i){
    if(nodes[i].children.empty())
        cout << i << endl;
    else
        throwBread(nodes[i].children[nodes[i].index]);
    nodes[i].inc();
}

void calculate(int index, int indexInChildren, int prevCount, int prevVal){
    int val;
    int count = nodes[index].children.size();
    if(count == 0){
        val = indexInChildren*prevCount;
    }
    else{
        for (int i = 0; i < count; i++)
        {
            calculate(nodes[index].children[i],i,count);
        }
    }
}

int main(int argc, char const *argv[])
{
    int n, b, p;
    cin >> n >> b ;
    nodes = new Node[n];
    arr = new int[n];
    for (int i = 1; i < n; i++)
    {
        cin >> p;
        nodes[p].children.push_back(i);
    }
    // for (int i = 0; i < b; i++)
    // {
    //     throwBread(0);
    // }
    calculate();

    delete [] arr;
    return 0;
}
